Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 653)
@@ -0,0 +1,529 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.searchengine.cqp.core.functions.selection;
+
+import java.io.File;
+import java.io.IOException;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.HashMap;
+import java.util.List;
+
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.results.TXMParameters;
+import org.txm.core.results.TXMResult;
+import org.txm.metadatas.Metadata;
+import org.txm.metadatas.MetadataGroup;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.CorpusManager;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.QueryResult;
+import org.txm.searchengine.cqp.corpus.StructuralUnit;
+import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.serverException.CqiServerError;
+import org.txm.utils.logger.Log;
+
+/**
+ * Used to build sub-corpus of texts.
+ * It links texts to their properties and compute some stats 
+ * 
+ * @author mdecorde
+ *
+ */
+public class Selection extends TXMResult {
+
+	/** Full selection. */
+	Corpus corpus;
+	
+	/** The query to get texts metadatas and number. */
+	Query query;
+	
+	/** The cqp positions of the texts start element. */
+	int[] positions;
+	
+	/** The all properties. */
+	List<StructuralUnitProperty> allProperties;
+	
+	/** The textids. */
+	List<String> textids;
+	
+	/** The numberofwords. */
+	HashMap<String, Integer> numberOfWordsPerText;
+
+	/** The text metadatas values. */
+	HashMap<String, HashMap<String, String>> metadatasValuesPerText;
+	HashMap<String, List<String>> valuesPerMetadata;
+	
+	/** The metadatas and groups. */
+	ArrayList<Metadata> metadatas;
+	ArrayList<MetadataGroup> metadatagroups;
+	
+	/** The property and group names per usage. */
+	private ArrayList<String> selectionPropertyNames;
+	private ArrayList<String> displayPropertyNames;
+	private ArrayList<String> selectionGroupNames;
+	private ArrayList<String> displayGroupNames;
+	
+	/** the list of property used per group**/
+	private HashMap<String, List<String>> propertyNamesPerGroup;
+	
+	/**
+	 * Instantiates a new selection.
+	 *
+	 * @param corpus the corpus
+	 */
+	public Selection(MainCorpus corpus) {
+		super(corpus);
+		// this query returns N results, where N is the number of text
+		this.query = new Query("<text>[]"); //$NON-NLS-1$
+		this.corpus = corpus;
+		init();
+	}
+	
+	/**
+	 * get positions, properties
+	 * and compute texts stats (but not words)
+	 * and get texts metadatas.
+	 */
+	private boolean init() {
+		try {
+			if (corpus.getBase() == null) {
+				System.out.println(TXMCoreMessages.Selection_6+corpus+TXMCoreMessages.Selection_7);
+				return false;
+			}
+			metadatas = corpus.getImportMetadata();
+			metadatagroups = corpus.getMetadataGroups();
+			
+			//get texts positions
+			QueryResult result = corpus.query(query, "selection", false); //$NON-NLS-1$
+			List<Match> matches = result.getMatches();
+			result.drop();
+			//System.out.println("Nb of texts: "+matches.size());
+			positions = new int[matches.size()]; // starting positions of texts in the corpus
+			for (int i = 0 ; i < matches.size() ; i++)
+				positions[i] = matches.get(i).getStart();
+			
+			// select used structuralUnitsProperties in corpus structuralUnitsProperties
+			StructuralUnit text_su = corpus.getStructuralUnit("text"); //$NON-NLS-1$
+			allProperties = new ArrayList<StructuralUnitProperty>();
+			if (metadatas.size() > 0) {
+				for (Metadata m : metadatas) {
+					try {
+						StructuralUnitProperty sup = text_su.getProperty(m.id);
+						if (sup == null) {
+							Log.warning(TXMCoreMessages.Selection_8+m.id);
+							continue;
+						}
+						allProperties.add(sup);
+					} catch(Exception e) {
+						Log.severe(TXMCoreMessages.Selection_9+e);
+					}
+				}
+			}
+
+			// in case no metadatas are declared in import.xml
+			if (allProperties.size() == 0) 
+				for (StructuralUnitProperty sup : text_su.getProperties())
+					allProperties.add(sup);
+
+			//get text ids (using starting position of texts) + text size using the positions
+			StructuralUnitProperty sup = text_su.getProperty("id"); //$NON-NLS-1$
+			int[] idx = CorpusManager.getCorpusManager().getCqiClient().cpos2Struc(sup.getQualifiedName(), positions);
+			//System.out.println("cpos2Struc: "+Arrays.toString(idx));
+			String[] textsIdArray = CorpusManager.getCorpusManager().getCqiClient().struc2Str(sup.getQualifiedName(), idx);
+			//System.out.println("struc2Str: "+Arrays.toString(textsIdArray));
+			textids = Arrays.asList(textsIdArray);
+
+			metadatasValuesPerText = new HashMap<String, HashMap<String,String>>();
+			numberOfWordsPerText = new HashMap<String, Integer>();
+			for (int i = 0 ; i < textids.size() ; i++) {
+				this.metadatasValuesPerText.put(textids.get(i), new HashMap<String, String>());
+				
+				//QueryResult result2 = corpus.query(new Query("[_.text_id=\""+textids.get(i)+"\"] expand to text"), "temp", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				QueryResult result2 = corpus.query(new Query("/region[text,a]:: a.text_id=\""+textids.get(i)+"\""), "temp", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				int tot = 0;
+				for (Match m : result2.getMatches(0,0))
+					tot += m.getEnd()- m.getStart();
+				numberOfWordsPerText.put(textids.get(i), tot);
+				result2.drop();
+			}
+
+			//System.out.println(textMetadatas);
+			//INITIALIZATIONS
+			for (StructuralUnitProperty property : allProperties) {	
+				readTextMetadatas(property);
+			}
+
+			getTextMetadatas();
+			getStructuralUnitPropertyValues();
+			getDisplayPropertyNames();
+			getSelectionPropertyNames();
+			getDisplayGroupNames();
+			getSelectionGroupNames();
+			getMetadataGroupNames();
+		}
+		catch (Exception e) {
+			org.txm.utils.logger.Log.printStackTrace(e);
+			return false;
+		}
+		return true;
+	}
+	
+	public Corpus getCorpus() {
+		return this.corpus;
+	}
+	
+	public HashMap<String, List<String>> getMetadataGroupNames() {
+		if (propertyNamesPerGroup != null)
+			return propertyNamesPerGroup;
+		propertyNamesPerGroup = new HashMap<String, List<String>>();
+		for (MetadataGroup gp : metadatagroups) {
+			ArrayList<String> list = new ArrayList<String>();
+			System.out.println("gp: "+gp.id); //$NON-NLS-1$
+			propertyNamesPerGroup.put(gp.id, list);
+			for (Metadata m : gp.metadatas)
+				list.add(m.id);
+		}
+		return propertyNamesPerGroup;
+	}
+	
+	/**
+	 * print the full texts stats.
+	 *
+	 * @throws CqiClientException the cqi client exception
+	 */
+	public void fullDump() throws CqiClientException {
+		System.out.println(TXMCoreMessages.Selection_5);
+		System.out.println(TXMCoreMessages.Corpus_2+corpus);
+		System.out.println("Text query: "+query); //$NON-NLS-1$
+		System.out.println("Texts ids: "+textids); //$NON-NLS-1$
+		System.out.println("Text positions: "+Arrays.toString(positions)); //$NON-NLS-1$
+		System.out.println("Text nbwords: "+numberOfWordsPerText); //$NON-NLS-1$
+		System.out.println();
+		System.out.println("StructuralUnitsProperties: "+allProperties); //$NON-NLS-1$
+		System.out.println("Meta values per texts: "+metadatasValuesPerText); //$NON-NLS-1$
+		System.out.println("Meta values per name: "+valuesPerMetadata); //$NON-NLS-1$
+		System.out.println();
+		System.out.println("Declared metadatas: "+metadatas); //$NON-NLS-1$
+		System.out.println("Declared metadata groups: "+metadatagroups); //$NON-NLS-1$
+		System.out.println(""); //$NON-NLS-1$
+		System.out.println("Selection props: "+selectionPropertyNames); //$NON-NLS-1$
+		System.out.println("Displayed props: "+displayPropertyNames); //$NON-NLS-1$
+		System.out.println("Selection groups: "+selectionGroupNames); //$NON-NLS-1$
+		System.out.println("Displayed groups: "+displayGroupNames); //$NON-NLS-1$
+		System.out.println("Properties used per group: "+ propertyNamesPerGroup); //$NON-NLS-1$
+	}
+	
+	/**
+	 * Gets the number of word.
+	 *
+	 * @param property the property
+	 * @param value the value
+	 * @return the number of words which 'property' value matches param 'value'
+	 */
+	public int getNumberOfWord(StructuralUnitProperty property, String value) {
+		int nb = 0;
+		for (String text : metadatasValuesPerText.keySet())
+			if (metadatasValuesPerText.get(text).get(property).equals(value))
+				nb+= numberOfWordsPerText.get(text);
+		return nb;
+	}
+	
+	/**
+	 * Gets the text number.
+	 *
+	 * @param property the property
+	 * @param value the value
+	 * @return the number of text which 'property' value matches param 'value'
+	 */
+	public int getNumberOfText(StructuralUnitProperty property, String value) 
+	{
+		int nb = 0;
+		for (String text : metadatasValuesPerText.keySet())
+			if (metadatasValuesPerText.get(text).get(property).equals(value))
+				nb++;
+		return nb;
+	}
+	
+	/**
+	 * Loads the metadatas values and store them per text id.
+	 *
+	 * @param property the property
+	 * @return 
+	 * @return the text metadatas
+	 * @throws UnexpectedAnswerException the unexpected answer exception
+	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws CqiServerError the cqi server error
+	 */
+	private HashMap<String, HashMap<String, String>> readTextMetadatas(StructuralUnitProperty property) throws UnexpectedAnswerException, IOException, CqiServerError
+	{
+		int[] idx = CorpusManager.getCorpusManager().getCqiClient().cpos2Struc(property.getQualifiedName(), positions);
+		String[] values = CorpusManager.getCorpusManager().getCqiClient().struc2Str(property.getQualifiedName(), idx);
+
+		for (int i = 0 ; i < values.length ; i++) {
+			this.metadatasValuesPerText.get(textids.get(i)).put(property.getName(), values[i]);
+		}
+		
+		return metadatasValuesPerText;
+	}
+	
+	/**
+	 * Gets the text metadatas values per text.
+	 *
+	 * @return the text metadatas
+	 */
+	public HashMap<String, HashMap<String, String>> getTextMetadatas() {
+		return this.metadatasValuesPerText;
+	}
+	
+	/**
+	 * Gets the number of words.
+	 *
+	 * @return the number of words
+	 */
+	public HashMap<String, Integer> getNumberOfWordsPerText() {
+		return this.numberOfWordsPerText;
+	}
+	
+	/**
+	 * Gets the text ids.
+	 *
+	 * @return the text ids, corpus ordered
+	 */
+	public List<String> getTextIds() {
+		return this.textids;
+	}
+	
+	/**
+	 * Gets and loads the selection properties name.
+	 *
+	 * @return the selection text metadata
+	 */
+	public ArrayList<String> getSelectionPropertyNames()
+	{
+		if (selectionPropertyNames != null)
+			return selectionPropertyNames;
+		StructuralUnit text_su;
+		selectionPropertyNames = new ArrayList<String>();
+		/*try {
+			text_su = corpus.getStructuralUnit("text");
+
+			// if corpus has metadatas declared
+			if (metadatas.size() > 0)
+			{
+				for(Metadata m : metadatas)
+				{
+						selectionPropertyNames.add(m.id);
+				}
+			}
+
+			//if no props added via metadata then get all text properties
+			if (selectionPropertyNames.size() == 0) 
+			{
+				for(Property p : text_su.getProperties())
+					selectionPropertyNames.add(p.getName());
+			}
+
+		} catch (Exception e) {
+			// TODO Auto-generated catch block
+			org.txm.utils.logger.Log.printStackTrace(e);
+		} //$NON-NLS-1$*/
+		for (StructuralUnitProperty prop : allProperties)
+			selectionPropertyNames.add(prop.getName());
+		return selectionPropertyNames;
+	}
+
+	/**
+	 * Gets and loads the selection group names.
+	 *
+	 * @return the selection text metadata
+	 */
+	public ArrayList<String> getSelectionGroupNames()
+	{
+		if (selectionGroupNames != null)
+			return selectionGroupNames;
+		selectionGroupNames = new ArrayList<String>();
+		for (Metadata m : metadatagroups) {
+			if (m.selection) {	
+				selectionGroupNames.add(m.id);
+			}
+		}
+
+		return selectionGroupNames;
+	}
+
+	/**
+	 * Gets the display properties name.
+	 *
+	 * @return the display text metadata
+	 */
+	public ArrayList<String> getDisplayPropertyNames()
+	{
+		if (displayPropertyNames != null)
+			return displayPropertyNames;
+		StructuralUnit text_su;
+		displayPropertyNames = new ArrayList<String>();
+		try {
+			text_su = corpus.getStructuralUnit("text"); //$NON-NLS-1$
+
+			// if corpus has metadatas declared
+			if (metadatas.size() > 0) {
+				for (Metadata m : metadatas) {
+					if (m.display) // only keep metadata for selection
+						displayPropertyNames.add(m.id);
+				}
+			}
+
+			if (displayPropertyNames.size() == 0) {
+				for (Property p : text_su.getProperties())
+					displayPropertyNames.add(p.getName());
+			}
+
+		} catch (Exception e) {
+			org.txm.utils.logger.Log.printStackTrace(e);
+		} 
+		return displayPropertyNames;
+	}
+
+	/**
+	 * Gets and loads the display group names.
+	 *
+	 * @return the display text metadata
+	 */
+	public ArrayList<String> getDisplayGroupNames()
+	{
+		if (displayGroupNames != null)
+			return displayGroupNames;
+		displayGroupNames = new ArrayList<String>();
+		for (Metadata m : metadatagroups) {
+			if (m.display) // only keep metadata for selection
+				displayGroupNames.add(m.id);
+		}
+		return displayGroupNames;
+	}
+
+	/**
+	 * Gets the structural unit property values per structuralUnitProperty.
+	 *
+	 * @return 
+	 */
+	public HashMap<String, List<String>> getStructuralUnitPropertyValues()
+	{
+		if (valuesPerMetadata != null)
+			return valuesPerMetadata;
+		valuesPerMetadata = new HashMap<String, List<String>>();
+
+		try {
+			for (StructuralUnitProperty sup : allProperties) {
+				try {
+					valuesPerMetadata.put(sup.getName(), sup.getValues());
+				} catch (CqiClientException e) {
+					System.out.println(TXMCoreMessages.Selection_26+sup.getFullName());
+					org.txm.utils.logger.Log.printStackTrace(e);
+					return valuesPerMetadata;
+				}
+			}
+		} catch(Exception e) {
+			org.txm.utils.logger.Log.printStackTrace(e);
+		}
+		return valuesPerMetadata;
+	}
+
+	public ArrayList<Metadata> getMetadatas() {
+		return metadatas;
+	}
+
+	public ArrayList<MetadataGroup> getMetadatagroups() {
+		return metadatagroups;
+	}
+
+	@Override
+	public String getName() {
+		// TODO Auto-generated method stub
+		return null;
+	}
+
+	@Override
+	public String getSimpleName() {
+		// TODO Auto-generated method stub
+		return null;
+	}
+
+	@Override
+	public String getDetails() {
+		// TODO Auto-generated method stub
+		return null;
+	}
+
+	@Override
+	public void clean() {
+		// TODO Auto-generated method stub
+	}
+
+	@Override
+	public boolean canCompute() {
+		return this.corpus != null;
+	}
+
+	@Override
+	public boolean setParameters(TXMParameters parameters) {
+		// TODO Auto-generated method stub
+		System.err.println("Selection.setParameters(): not yet implemented.");
+		return true;
+	}
+
+	@Override
+	public boolean loadParameters() {
+		// TODO Auto-generated method stub
+		System.err.println("Selection.loadParameters(): not yet implemented.");
+		return true;
+	}
+
+	@Override
+	public boolean saveParameters() {
+		// TODO Auto-generated method stub
+		System.err.println("Selection.saveParameters(): not yet implemented.");
+		return true;
+	}
+	
+	@Override
+	protected boolean _compute() throws Exception {
+		System.err.println("Selection.compute() not implemented");
+		return false;
+	}
+
+	@Override
+	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+}

Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/StartButton.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/StartButton.java	(revision 652)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/StartButton.java	(revision 653)
@@ -26,13 +26,13 @@
 import org.txm.analec.toolbar.UnitToolbar;
 import org.txm.analec.view.ElementPropertiesView;
 import org.txm.analec.view.ElementSearchView;
-import org.txm.rcp.synoptic.editor.SynopticEditionEditor;
-import org.txm.rcp.synoptic.editor.ext.ToolbarButton;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
+import org.txm.synopticedition.rcp.editors.ext.ToolbarButton;
 
 import visuAnalec.Message;
 import visuAnalec.Message.TypeMessage;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/AnnotationToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/AnnotationToolbar.java	(revision 652)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/AnnotationToolbar.java	(revision 653)
@@ -5,7 +5,7 @@
 import org.eclipse.swt.events.MouseListener;
 import org.eclipse.swt.widgets.Composite;
 import org.txm.analec.toolbarbutton.StartButton;
-import org.txm.rcp.synoptic.editor.EditionPanel.RGBA;
+import org.txm.synopticedition.rcp.editors.EditionPanel.RGBA;
 
 import visuAnalec.donnees.Corpus;
 import visuAnalec.elements.Element;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 652)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 653)
@@ -39,9 +39,6 @@
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Text;
-import org.txm.rcp.synoptic.editor.EditionPanel;
-import org.txm.rcp.synoptic.editor.EditionPanel.RGBA;
-import org.txm.rcp.synoptic.editor.SynopticEditionEditor;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
@@ -55,6 +52,9 @@
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
+import org.txm.synopticedition.rcp.editors.EditionPanel;
+import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
+import org.txm.synopticedition.rcp.editors.EditionPanel.RGBA;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 652)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 653)
@@ -35,14 +35,14 @@
 import org.txm.objects.Text;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
-import org.txm.rcp.synoptic.editor.EditionPanel;
-import org.txm.rcp.synoptic.editor.SynopticEditionEditor;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.synopticedition.rcp.editors.EditionPanel;
+import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 652)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 653)
@@ -19,37 +19,40 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(CAPreferences.class).getSymbolicName();
 	
+	
+	public static final String PREFERENCES_PREFIX = "ca_"; //$NON-NLS-1$
+	
 	/** Lexical table FMIN. */
-	public static final String F_MIN = "lt_fmin"; //$NON-NLS-1$
+	public static final String F_MIN = PREFERENCES_PREFIX + "lt_fmin"; //$NON-NLS-1$
 	/** Lexical table VMAX. */
-	public static final String V_MAX = "lt_vmax"; //$NON-NLS-1$
+	public static final String V_MAX = PREFERENCES_PREFIX + "lt_vmax"; //$NON-NLS-1$
 
 	/** The Constant QUALITYDISPLAY. */
-	public static final String QUALITY_DISPLAY_FORMAT = "quality_display_format"; //$NON-NLS-1$
+	public static final String QUALITY_DISPLAY_FORMAT = PREFERENCES_PREFIX + "quality_display_format"; //$NON-NLS-1$
 
 	/** The Constant CONTRIBDISPLAY. */
-	public static final String CONTRIB_DISPLAY_FORMAT = "contrib_display_format"; //$NON-NLS-1$
+	public static final String CONTRIB_DISPLAY_FORMAT = PREFERENCES_PREFIX + "contrib_display_format"; //$NON-NLS-1$
 
 	/** The Constant MASSDISPLAY. */
-	public static final String MASS_DISPLAY_FORMAT = "mass_display_format"; //$NON-NLS-1$
+	public static final String MASS_DISPLAY_FORMAT = PREFERENCES_PREFIX + "mass_display_format"; //$NON-NLS-1$
 
-	public static final String CHI_DISPLAY_FORMAT = "chi_display_format"; //$NON-NLS-1$
+	public static final String CHI_DISPLAY_FORMAT = PREFERENCES_PREFIX + "chi_display_format"; //$NON-NLS-1$
 	
 	/** The Constant DISTDISPLAY. */
-	public static final String DIST_DISPLAY_FORMAT = "dist_display_format"; //$NON-NLS-1$
+	public static final String DIST_DISPLAY_FORMAT = PREFERENCES_PREFIX + "dist_display_format"; //$NON-NLS-1$
 
 	/** The Constant COS2DISPLAY. */
-	public static final String COS2_DISPLAY_FORMAT = "cos2_display_format"; //$NON-NLS-1$
+	public static final String COS2_DISPLAY_FORMAT = PREFERENCES_PREFIX + "cos2_display_format"; //$NON-NLS-1$
 
 	/** The Constant COORDDISPLAY. */
-	public static final String COORD_DISPLAY_FORMAT = "coord_display_format"; //$NON-NLS-1$
+	public static final String COORD_DISPLAY_FORMAT = PREFERENCES_PREFIX + "coord_display_format"; //$NON-NLS-1$
 
 	
-	public static final String FIRST_DIMENSION = "first_dimension"; //$NON-NLS-1$
-	public static final String SECOND_DIMENSION = "second_dimension"; //$NON-NLS-1$
-	public static final String SHOW_INDIVIDUALS = "chart_show_individuals"; //$NON-NLS-1$
-	public static final String SHOW_VARIABLES = "chart_show_variables"; //$NON-NLS-1$
-	public static final String SHOW_POINT_SHAPES = "chart_show_point_shapes"; //$NON-NLS-1$
+	public static final String FIRST_DIMENSION = PREFERENCES_PREFIX + "first_dimension"; //$NON-NLS-1$
+	public static final String SECOND_DIMENSION = PREFERENCES_PREFIX + "second_dimension"; //$NON-NLS-1$
+	public static final String SHOW_INDIVIDUALS = PREFERENCES_PREFIX + "chart_show_individuals"; //$NON-NLS-1$
+	public static final String SHOW_VARIABLES = PREFERENCES_PREFIX + "chart_show_variables"; //$NON-NLS-1$
+	public static final String SHOW_POINT_SHAPES = PREFERENCES_PREFIX + "chart_show_point_shapes"; //$NON-NLS-1$
 	
 	
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 652)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 653)
@@ -162,14 +162,14 @@
 			this.colfilter = col;
 		}
 		else {
-			System.out.println("Col filter malformed follow this pattern " + pattern);
+			System.out.println("Columns filter malformed follow this pattern " + pattern);
 		}
 		
 		if (row.matches(pattern)) {
 			this.rowfilter = row;
 		}
 		else {
-			System.out.println("Row filter malformed follow this pattern " + pattern);
+			System.out.println("Rows filter malformed follow this pattern " + pattern);
 		}
 	}
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 652)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 653)
@@ -39,13 +39,6 @@
 	
 
 	/**
-	 * Stack to store selected items to draw at last, over other items.
-	 */
-	protected ArrayList itemsToDrawAtLast; 
-	
-	
-	
-	/**
 	 * Creates a renderer dedicated to CA charts.
 	 */
 	public CAItemSelectionRenderer(CA ca, JFreeChart chart) {
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/preferences/AHCPreferencePage.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/preferences/AHCPreferencePage.java	(revision 652)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/preferences/AHCPreferencePage.java	(revision 653)
@@ -78,7 +78,7 @@
 		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(getFieldEditorParent());
 
 		String[][] labelAndValues = {{"2D", "true"}, {"3D", "false"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-		RadioGroupFieldEditor default2D3Ddisplay = new RadioGroupFieldEditor(AHCPreferences.DISPLAY_2D, AHCUIMessages.CAHPreferencePage_0, 2, labelAndValues, chartsTab);
+		RadioGroupFieldEditor default2D3Ddisplay = new RadioGroupFieldEditor(AHCPreferences.RENDERING_2D, AHCUIMessages.CAHPreferencePage_0, 2, labelAndValues, chartsTab);
 		addField(default2D3Ddisplay);
 		
 		
